<template>
<div background='https://c8.alamy.com/comp/H9725F/mexico-mexico-df-mexico-city-zocalo-H9725F.jpg'>
   
  <div class="container-scroller">
    <div class="container-fluid page-body-wrapper full-page-wrapper">
      <div class="content-wrapper d-flex align-items-center auth login-full-bg">
        <div class="row w-100 margin-l-0">
          <div class="col-lg-4 mx-auto">
            <div class="auth-form-light text-left p-5">
              <div class="login-header">
                <img src="../assets/logo.png"/>
                <hr>
                <h4 class="font-weight-light">Admin Login</h4>
              </div>
              <form class="pt-5"  autocomplete="off">
                  <div class="form-group">
                    <input class='form-control' type="text" name="email" placeholder="Enter Email" v-model='email'/>
                    <i class="mdi mdi-account"></i>
                  </div>
                  <div class="form-group">
                    <input class='form-control' type="password" name="password"  placeholder="Enter Password" v-model='password'/>
                    <i class="mdi mdi-lock"></i>
                  </div>
                  <div class="mt-5">
                    <button class='btn btn-block btn-success btn-lg font-weight-medium' type="submit" @click.prevent="Login">login</button>
                  
                  </div>

                  <div class="row">
                      <div class="col-md-6 col-sm-6">
                          <div class="form-check">
                            <label class="form-check-label">
                              <input type="checkbox" class="form-check-input" name="rememberMe" >
                              Remember Password
                            <i class="input-helper"></i></label>
                          </div> 
                      </div>
                      <div class="col-md-6 col-sm-6">
                        <div class="mt-3 text-right">
                          <a href="javascript:;" class="auth-link text-gray" >Forgot password?</a>
                        </div>
                      </div>
                  </div>
              </form>
            </div>
          </div>
        </div>
      </div>
      </div>
      <!-- content-wrapper ends -->
    </div>
    <!-- page-body-wrapper ends -->
</div>

          

</template>


<script>
    export default {
        data() {
            return {
               email: '',
               password: '',
            }
        },
        methods: {
            Login() {
                let {email,password}=this
                var data={email,password}
                this.$store.dispatch('Login',data)
                .catch(err=>console.log(err));
            }
        },
    }
</script>

<style scoped>

</style>